def filtre(valeurs, nouvelle_mesure):

    #Calcul de la valeur filtrée par moyenne glissante
    valeur_filtrée = (...
                      + nouveau_echantillon)/...

    #Modification de la fenêtre
    valeurs[0], valeurs[1], valeurs[2] = ...
    valeurs[3] = ...

    return ...

# tests
fenetre = [5, 7, 7, 9]
fenetre, valeur = filtre(fenetre, 10)
fenetre, valeur = filtre(fenetre, 12)
